From 67cd35efe32d10b9c7d548ec2b03762d12a24058 Mon Sep 17 00:00:00 2001
From: amaya <cliffordsabalo@gmail.com>
Date: Fri, 7 Jun 2019 22:02:02 +0800
Subject: [PATCH 1/2] xinit: update revision

---
 srcpkgs/xinit/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/xinit/template b/srcpkgs/xinit/template
index 9147e652dec..2c80a458eb5 100644
--- a/srcpkgs/xinit/template
+++ b/srcpkgs/xinit/template
@@ -1,7 +1,7 @@
 # Template file for 'xinit'
 pkgname=xinit
 version=1.4.1
-revision=1
+revision=2
 build_style=gnu-configure
 configure_args="--with-xinitdir=/etc/X11/xinit"
 hostmakedepends="pkg-config"

From f39cfccd1d7acd106ee9702052f86333392a09db Mon Sep 17 00:00:00 2001
From: amaya <cliffordsabalo@gmail.com>
Date: Fri, 7 Jun 2019 22:05:22 +0800
Subject: [PATCH 2/2] xinit: add patch

---
 .../patches/06_move_serverauthfile_into_tmp.diff      | 11 +++++++++++
 1 file changed, 11 insertions(+)
 create mode 100644 srcpkgs/xinit/patches/06_move_serverauthfile_into_tmp.diff

diff --git a/srcpkgs/xinit/patches/06_move_serverauthfile_into_tmp.diff b/srcpkgs/xinit/patches/06_move_serverauthfile_into_tmp.diff
new file mode 100644
index 00000000000..4c3f7d5093d
--- /dev/null
+++ b/srcpkgs/xinit/patches/06_move_serverauthfile_into_tmp.diff
@@ -0,0 +1,11 @@
+--- startx.cpp.orig
++++ startx.cpp
+@@ -281,7 +281,7 @@
+     dummy=0
+ 
+     XCOMM create a file with auth information for the server. ':0' is a dummy.
+-    xserverauthfile=$HOME/.serverauth.$$
++    xserverauthfile=`mktemp -p /tmp serverauth.XXXXXXXXXX`
+     trap "rm -f '$xserverauthfile'" HUP INT QUIT ILL TRAP KILL BUS TERM
+     xauth -q -f "$xserverauthfile" << EOF
+ add :$dummy . $mcookie
